#include <gtest/gtest.h>
#include <math.h>
#include <limits>

#include "Quaternion.h"

#define FLOAT_INFINITY std::numeric_limits<float>::infinity()

TEST(Quaternion, Normalze) {
	bool r = false;

	Quaternion q1 = Quaternion(0, 0, 0, 1);
	Quaternion q = Quaternion::identity;

	q = q1;
	q.Normalize();
	r = q == q1;
	EXPECT_TRUE(r) << "q.Normalzed 0 0 0 1";

	q = Quaternion::Normalize(q1);
	r = q == q1;
	EXPECT_TRUE(r) << "Quaternion::Normalize 0 0 0 1";
}